<?php
//
// part of yum config on nodes
//
// Thierry Parmentelat 
// Copyright (C) 2008 INRIA
//

// For PLC_NAME and PLC_BOOT_HOST
include('plc_config.php');

$PLC_NAME = PLC_NAME;
$PLC_BOOT_HOST = PLC_BOOT_HOST;

// Get admin API handle
require_once 'plc_api.php';
global $adm;

if (isset($_REQUEST['gpgcheck'])) {
  $gpgcheck = $_REQUEST['gpgcheck'];
} else {
  $gpgcheck = 0;
}

echo "# Generated by myplc.repo.php\n";
# we assume the node is not so old that it would not send node_id
# get node family
if ( ! isset($_REQUEST['node_id'])) {
  echo "# node_id is needed\n";
  echo "# looks like you're running a very old NodeManager...\n";
  echo "# bailing out..\n";
  exit;
 }

$node_id = intval($_REQUEST['node_id']);
$nodeflavour=$adm->GetNodeFlavour($node_id);
$nodefamily=$nodeflavour['nodefamily'];

$topdir=$_SERVER['DOCUMENT_ROOT'] . "/install-rpms/" . $nodefamily;
# Thierry : starting with fedora 12, yum complains about not being able to 
# verify the certificates; as we're using gpgcheck on top of the rest, 
# it's safe to use http only
$topurl="http://$PLC_BOOT_HOST" . "/install-rpms/" . $nodefamily;

if ( is_dir (realpath($topdir))) {
  echo "# This directory was checked to exist on the server-side\n";
} else{
  echo "# WARNING: plc-side yum repo $topdir NOT FOUND !!\n";
}

$repo_id=$nodefamily;
$repo_name="$PLC_NAME $nodefamily";
echo <<< __PLC_REPO__
[$repo_id]
name=$repo_name
baseurl=$topurl
gpgcheck=$gpgcheck

__PLC_REPO__;

?>
